#!/bin/ksh
set -x
#####################################################
#     CONFIGURATION CHOICE                          #
#####################################################
CONFIG=ORCA2_LIM

#####################################################
#     CONFIGURATION DESCRIPTION                     #
#####################################################
case $CONFIG in
#
ORCA2_LIM)
export INSPACE=/dataref/rd/INITIALISATION/ORCA2
COOR_FIL=coordinates.nc
;;
#
esac

#####################################################
#     RUN                                           #
#####################################################
BIN=diadct_sections.exe

export CTLDIR=`pwd`
cd ${CTLDIR}
rm -f coordinates.nc ${BIN}
cp ../${BIN} .
ln -sf list_sections.ascii_keep list_sections.ascii
ln -s $INSPACE/$COOR_FIL ./coordinates.nc
./${BIN}
mv section_ijglobal.diadct section_ijglobal.diadct_$CONFIG 
